(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     23175,        673]
NotebookOptionsPosition[     20990,        593]
NotebookOutlinePosition[     21370,        610]
CellTagsIndexPosition[     21327,        607]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"\[CurlyTheta]", " ", "=", " ", ".2"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["u", "0"], "=", " ", 
   RowBox[{"1", "+", "\[CurlyTheta]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"u_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{
    FractionBox[
     RowBox[{
      SuperscriptBox["u", 
       RowBox[{"\[Alpha]", "+", "1"}]], "-", "1"}], 
     RowBox[{"\[Alpha]", 
      RowBox[{"(", 
       RowBox[{"\[Alpha]", "+", "1"}], ")"}]}]], "-", 
    RowBox[{
     FractionBox["1", "\[Alpha]"], "u"}], "+", 
    FractionBox["1", "\[Alpha]"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fs", "[", 
    RowBox[{"u_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"u", ",", " ", "\[Alpha]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"u", ",", 
        SubscriptBox["u", "0"], ",", "2"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mf", "[", 
    RowBox[{"u_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"Piecewise", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"f", "[", 
         RowBox[{"u", ",", "\[Alpha]"}], "]"}], ",", 
        RowBox[{"u", "<", 
         SubscriptBox["u", "0"]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"fs", "[", 
         RowBox[{"u", ",", "\[Alpha]"}], "]"}], ",", 
        RowBox[{"u", ">=", 
         SubscriptBox["u", "0"]}]}], "}"}]}], "}"}], "]"}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.626169256717559*^9, 3.626169328279292*^9}, {
  3.6261694045421743`*^9, 3.626169475304147*^9}, {3.6261695287448397`*^9, 
  3.6261695600794888`*^9}, {3.626176720272596*^9, 3.626176754527946*^9}, {
  3.626176817144167*^9, 3.626176834119382*^9}, {3.626177327009139*^9, 
  3.62617732998392*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6261771373843107`*^9, 3.626177151821642*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6261771531567583`*^9, 3.626177153169117*^9}}],

Cell[CellGroupData[{

Cell["\<\
Check plain Cressie Read Divergence\
\>", "Section",
 CellChangeTimes->{{3.626171611838085*^9, 3.626171623836808*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f2", " ", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"z", ",", "2"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", " ", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}]}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.626171624922464*^9, 3.626171651798089*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.33333333333333337`", ",", "0.28350000000000003`", ",", 
   "0.2346666666666667`", ",", "0.18783333333333332`", ",", 
   "0.14400000000000002`", ",", "0.10416666666666669`", ",", 
   "0.0693333333333333`", ",", "0.04049999999999998`", ",", 
   "0.018666666666666665`", ",", "0.004833333333333342`", ",", "0.`", ",", 
   "0.0051666666666666874`", ",", "0.021333333333333343`", ",", 
   "0.049500000000000044`", ",", "0.09066666666666667`", ",", 
   "0.14583333333333331`", ",", "0.21600000000000008`", ",", 
   "0.3021666666666667`", ",", "0.40533333333333343`", ",", 
   "0.5265000000000001`", ",", "0.6666666666666665`", ",", 
   "0.8268333333333333`", ",", "1.0080000000000005`", ",", 
   "1.211166666666667`", ",", "1.437333333333334`", ",", "1.6875`", ",", 
   "1.962666666666667`", ",", "2.263833333333334`", ",", 
   "2.5920000000000005`", ",", "2.948166666666668`", ",", 
   "3.333333333333333`"}], "}"}]], "Output",
 CellChangeTimes->{3.626171652091443*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"f05", " ", "=", "  ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"z", ",", ".5"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", " ", "0", ",", "3", ",", ".1"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.626171943670046*^9, 3.626171948182147*^9}, {
  3.626172071773942*^9, 3.626172078973901*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"fm05", " ", "=", "  ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"z", ",", 
      RowBox[{"-", ".5"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", " ", "0", ",", "3", ",", ".1"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6261720824220543`*^9, 3.62617208550224*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2.`", ",", "0.935088935932648`", ",", "0.6111456180001684`", ",", 
   "0.40910976997933535`", ",", "0.2701778718652965`", ",", 
   "0.1715728752538097`", ",", "0.10161332303406656`", ",", 
   "0.05335989386369788`", ",", "0.022291236000336667`", ",", 
   "0.005266807797944972`", ",", "0.`", ",", "0.0047646073193936544`", ",", 
   "0.01821953995867087`", ",", "0.039298299603447884`", ",", 
   "0.06713617352030754`", ",", "0.10102051443364424`", ",", 
   "0.14035574373059312`", ",", "0.1846380758378814`", ",", 
   "0.23343685400050473`", ",", "0.28638049916391095`", ",", 
   "0.3431457505076194`", ",", "0.4034493015242244`", ",", 
   "0.4670412103234698`", ",", "0.5336996447587596`", ",", 
   "0.6032266460681335`", ",", "0.675444679663241`", ",", "0.75019380136116`",
    ",", "0.8273293099380066`", ",", "0.906719787727396`", ",", 
   "0.9882454536294398`", ",", "1.0717967697244912`"}], "}"}]], "Output",
 CellChangeTimes->{3.626172085840414*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Check Gradient of plain Cressie Read\
\>", "Section",
 CellChangeTimes->{{3.62617076105444*^9, 3.62617076970667*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"z", ",", "2"}], "]"}], ",", "z"}], "]"}], "/.", 
     RowBox[{"z", "\[Rule]", "j"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.626170834013845*^9, 3.6261708861896133`*^9}, {
  3.626171010606202*^9, 3.626171076301972*^9}, {3.626172604142297*^9, 
  3.6261726055819263`*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"z", ",", ".5"}], "]"}], ",", "z"}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626172599742461*^9, 3.626172610022113*^9}, {
  3.626172667983575*^9, 3.6261726694541197`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"z", ",", 
         RowBox[{"-", ".5"}]}], "]"}], ",", "z"}], "]"}], "/.", 
     RowBox[{"z", "\[Rule]", "j"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{3.626172677254416*^9, 3.626175738967334*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check hessian of Cressie Read", "Section",
 CellChangeTimes->{{3.626175760306623*^9, 3.626175769100954*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"z", ",", "2"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626175817511401*^9, 3.6261758211820602`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.`", ",", "0.1`", ",", "0.2`", ",", "0.30000000000000004`", ",", "0.4`", 
   ",", "0.5`", ",", "0.6000000000000001`", ",", "0.7000000000000001`", ",", 
   "0.8`", ",", "0.9`", ",", "1.`", ",", "1.1`", ",", "1.2000000000000002`", 
   ",", "1.3`", ",", "1.4000000000000001`", ",", "1.5`", ",", "1.6`", ",", 
   "1.7000000000000002`", ",", "1.8`", ",", "1.9000000000000001`", ",", "2.`",
    ",", "2.1`", ",", "2.2`", ",", "2.3000000000000003`", ",", 
   "2.4000000000000004`", ",", "2.5`", ",", "2.6`", ",", "2.7`", ",", 
   "2.8000000000000003`", ",", "2.9000000000000004`", ",", "3.`"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.626175821511972*^9, 3.626175860707962*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"z", ",", ".5"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626175872310257*^9, 3.626175873662307*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0.`\\^0.5`\\)\
\[NoBreak] encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6261758754113913`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "ComplexInfinity", ",", "3.162277660168379`", ",", "2.23606797749979`", ",",
    "1.8257418583505536`", ",", "1.5811388300841895`", ",", 
   "1.4142135623730951`", ",", "1.2909944487358056`", ",", 
   "1.1952286093343936`", ",", "1.118033988749895`", ",", 
   "1.0540925533894598`", ",", "1.`", ",", "0.9534625892455922`", ",", 
   "0.9128709291752768`", ",", "0.8770580193070292`", ",", 
   "0.8451542547285166`", ",", "0.816496580927726`", ",", 
   "0.7905694150420948`", ",", "0.7669649888473704`", ",", 
   "0.7453559924999299`", ",", "0.7254762501100116`", ",", 
   "0.7071067811865476`", ",", "0.6900655593423543`", ",", 
   "0.674199862463242`", ",", "0.659380473395787`", ",", 
   "0.6454972243679028`", ",", "0.6324555320336759`", ",", 
   "0.6201736729460423`", ",", "0.6085806194501846`", ",", 
   "0.5976143046671968`", ",", "0.5872202195147035`", ",", 
   "0.5773502691896257`"}], "}"}]], "Output",
 CellChangeTimes->{3.626175875412177*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"z", ",", 
        RowBox[{"-", ".5"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.626175884614195*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0.`\\^1.5`\\)\
\[NoBreak] encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.626175885253796*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "ComplexInfinity", ",", "31.62277660168379`", ",", "11.180339887498947`", 
   ",", "6.085806194501845`", ",", "3.9528470752104736`", ",", 
   "2.8284271247461903`", ",", "2.1516574145596756`", ",", 
   "1.7074694419062764`", ",", "1.3975424859373684`", ",", 
   "1.1712139482105108`", ",", "1.`", ",", "0.8667841720414474`", ",", 
   "0.7607257743127306`", ",", "0.6746600148515609`", ",", 
   "0.603681610520369`", ",", "0.5443310539518174`", ",", 
   "0.4941058844013092`", ",", "0.45115587579257077`", ",", 
   "0.41408666249996107`", ",", "0.38182960532105875`", ",", 
   "0.3535533905932738`", ",", "0.32860264730588296`", ",", 
   "0.3064544829378373`", ",", "0.2866871623459943`", ",", 
   "0.26895717681995945`", ",", "0.25298221281347033`", ",", 
   "0.2385283357484778`", ",", "0.22540022942599428`", ",", 
   "0.21343368023828455`", ",", "0.2024897308671391`", ",", 
   "0.19245008972987526`"}], "}"}]], "Output",
 CellChangeTimes->{3.626175885254566*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check modified Cressie-Read", "Section",
 CellChangeTimes->{{3.62617603365565*^9, 3.626176041956918*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f2", " ", "=", "  ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"mf", "[", 
     RowBox[{"z", ",", "2"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", " ", "0", ",", "3", ",", ".1"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.626176062782999*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.33333333333333337`", ",", "0.28350000000000003`", ",", 
   "0.2346666666666667`", ",", "0.18783333333333332`", ",", 
   "0.14400000000000002`", ",", "0.10416666666666669`", ",", 
   "0.0693333333333333`", ",", "0.04049999999999998`", ",", 
   "0.018666666666666665`", ",", "0.004833333333333342`", ",", "0.`", ",", 
   "0.0051666666666666874`", ",", "0.021333333333333343`", ",", 
   "0.04933333333333335`", ",", "0.0893333333333334`", ",", 
   "0.14133333333333334`", ",", "0.20533333333333342`", ",", 
   "0.2813333333333335`", ",", "0.3693333333333334`", ",", 
   "0.4693333333333335`", ",", "0.5813333333333334`", ",", 
   "0.7053333333333335`", ",", "0.8413333333333335`", ",", 
   "0.9893333333333338`", ",", "1.149333333333334`", ",", 
   "1.3213333333333332`", ",", "1.5053333333333334`", ",", 
   "1.7013333333333338`", ",", "1.9093333333333338`", ",", 
   "2.129333333333334`", ",", "2.361333333333333`"}], "}"}]], "Output",
 CellChangeTimes->{3.626176064435287*^9, 3.62617685014646*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"fm05", " ", "=", "  ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"mf", "[", 
     RowBox[{"z", ",", 
      RowBox[{"-", ".5"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", " ", "0", ",", "3", ",", ".1"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6261769412298527`*^9, 3.626176942173868*^9}, 
   3.626177157518024*^9, {3.626177221965963*^9, 3.626177222829585*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2.`", ",", "0.935088935932648`", ",", "0.6111456180001684`", ",", 
   "0.40910976997933535`", ",", "0.2701778718652965`", ",", 
   "0.1715728752538097`", ",", "0.10161332303406656`", ",", 
   "0.05335989386369788`", ",", "0.022291236000336667`", ",", 
   "0.005266807797944972`", ",", "0.`", ",", "0.0047646073193936544`", ",", 
   "0.01821953995867087`", ",", "0.039448982995179335`", ",", 
   "0.06828568377481496`", ",", "0.10472964229757781`", ",", 
   "0.14878085856346807`", ",", "0.20043933257248564`", ",", 
   "0.25970506432463036`", ",", "0.32657805381990257`", ",", 
   "0.40105830105830187`", ",", "0.4831458060398287`", ",", 
   "0.5728405687644829`", ",", "0.6701425892322643`", ",", 
   "0.775051867443173`", ",", "0.8875684033972087`", ",", 
   "1.007692197094372`", ",", "1.135423248534663`", ",", 
   "1.2707615577180809`", ",", "1.4137071246446262`", ",", 
   "1.5642599493142981`"}], "}"}]], "Output",
 CellChangeTimes->{3.626176942843771*^9, 3.6261771581524076`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Check gradient modified Cressie-Read\
\>", "Section",
 CellChangeTimes->{{3.626177216645259*^9, 3.626177218693304*^9}, {
  3.626178040700326*^9, 3.62617804805291*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"mf", "[", 
       RowBox[{"z", ",", "2"}], "]"}], ",", "z"}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".101"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626177235453949*^9, 3.626177237437846*^9}, {
  3.626177385622274*^9, 3.626177385738353*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.5`"}], ",", 
   RowBox[{"-", "0.49489949999999994`"}], ",", 
   RowBox[{"-", "0.47959799999999997`"}], ",", 
   RowBox[{"-", "0.4540955`"}], ",", 
   RowBox[{"-", "0.418392`"}], ",", 
   RowBox[{"-", "0.37248749999999997`"}], ",", 
   RowBox[{"-", "0.31638199999999994`"}], ",", 
   RowBox[{"-", "0.25007549999999995`"}], ",", 
   RowBox[{"-", "0.17356799999999994`"}], ",", 
   RowBox[{"-", "0.08685949999999994`"}], ",", "0.010049999999999965`", ",", 
   "0.1171605`", ",", "0.23440000000000033`", ",", "0.3556000000000003`", ",",
    "0.47680000000000033`", ",", "0.5980000000000003`", ",", 
   "0.7192000000000003`", ",", "0.8404000000000003`", ",", 
   "0.9616000000000002`", ",", "1.0828000000000002`", ",", 
   "1.2040000000000002`", ",", "1.3252000000000002`", ",", 
   "1.4464000000000004`", ",", "1.5676000000000003`", ",", 
   "1.6888000000000007`", ",", "1.8100000000000007`", ",", 
   "1.9312000000000007`", ",", "2.052400000000001`", ",", 
   "2.173600000000001`", ",", "2.294800000000001`"}], "}"}]], "Output",
 CellChangeTimes->{3.6261772377348824`*^9, 3.6261773870687304`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"mf", "[", 
       RowBox[{"z", ",", 
        RowBox[{"-", ".5"}]}], "]"}], ",", "z"}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".101"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626178058710227*^9, 3.626178060382*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \
\[NoBreak]\\!\\(1\\/\\@0.`\\)\[NoBreak] encountered. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6261780610083017`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"ComplexInfinity", ",", 
   RowBox[{"-", "4.293167755275526`"}], ",", 
   RowBox[{"-", "2.4499415948998475`"}], ",", 
   RowBox[{"-", "1.6333620975637975`"}], ",", 
   RowBox[{"-", "1.146583877637763`"}], ",", 
   RowBox[{"-", "0.8143901789211676`"}], ",", 
   RowBox[{"-", "0.5691749776935393`"}], ",", 
   RowBox[{"-", "0.3785938341813755`"}], ",", 
   RowBox[{"-", "0.22497079744992377`"}], ",", 
   RowBox[{"-", "0.09772258509184217`"}], ",", "0.009925619580021472`", ",", 
   "0.10253852845344946`", ",", "0.18338685094119914`", ",", 
   "0.2602201541467849`", ",", "0.33705345735237074`", ",", 
   "0.41388676055795653`", ",", "0.4907200637635423`", ",", 
   "0.5675533669691281`", ",", "0.6443866701747138`", ",", 
   "0.7212199733802998`", ",", "0.7980532765858855`", ",", 
   "0.8748865797914713`", ",", "0.9517198829970571`", ",", 
   "1.028553186202643`", ",", "1.105386489408229`", ",", "1.182219792613815`",
    ",", "1.2590530958194006`", ",", "1.3358863990249865`", ",", 
   "1.4127197022305722`", ",", "1.489553005436158`"}], "}"}]], "Output",
 CellChangeTimes->{3.626178061009829*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Check hessian Cressie-Read
\
\>", "Section",
 CellChangeTimes->{{3.6261781545421343`*^9, 3.626178158956884*^9}, 
   3.626178438991241*^9}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"mf", "[", 
       RowBox[{"z", ",", "3"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".101"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.62617817059007*^9, 3.6261781753180227`*^9}, 
   3.62617843899159*^9}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"mf", "[", 
       RowBox[{"z", ",", 
        RowBox[{
         RowBox[{"-", "1"}], "/", "3"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".101"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626178186006331*^9, 3.6261781867985353`*^9}, 
   3.626178438993532*^9}]
}, Open  ]]
},
WindowSize->{740, 867},
WindowMargins->{{574, Automatic}, {197, Automatic}},
ShowSelection->True,
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 20, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1975, 60, 124, "Input"],
Cell[2535, 82, 94, 1, 28, "Input"],
Cell[2632, 85, 94, 1, 28, InheritFromParent],
Cell[CellGroupData[{
Cell[2751, 90, 128, 3, 80, "Section"],
Cell[CellGroupData[{
Cell[2904, 97, 361, 10, 46, "Input"],
Cell[3268, 109, 1009, 18, 80, "Output"]
}, Open  ]],
Cell[4292, 130, 371, 10, 28, "Input"],
Cell[CellGroupData[{
Cell[4688, 144, 346, 10, 28, "Input"],
Cell[5037, 156, 999, 17, 80, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6085, 179, 127, 3, 80, "Section"],
Cell[6215, 184, 521, 15, 28, "Input"],
Cell[6739, 201, 441, 12, 28, "Input"],
Cell[7183, 215, 443, 14, 28, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7663, 234, 114, 1, 80, "Section"],
Cell[CellGroupData[{
Cell[7802, 239, 446, 13, 28, "Input"],
Cell[8251, 254, 716, 12, 46, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9004, 271, 445, 13, 28, "Input"],
Cell[9452, 286, 456, 10, 43, "Message"],
Cell[9911, 298, 995, 18, 80, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10943, 321, 445, 14, 28, "Input"],
Cell[11391, 337, 454, 10, 43, "Message"],
Cell[11848, 349, 1008, 18, 80, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12905, 373, 111, 1, 80, "Section"],
Cell[CellGroupData[{
Cell[13041, 378, 297, 9, 28, "Input"],
Cell[13341, 389, 1042, 18, 80, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14420, 412, 420, 11, 28, "Input"],
Cell[14843, 425, 1030, 18, 80, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15922, 449, 177, 4, 80, "Section"],
Cell[CellGroupData[{
Cell[16124, 457, 441, 12, 28, "Input"],
Cell[16568, 471, 1152, 22, 80, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17757, 498, 414, 12, 28, "Input"],
Cell[18174, 512, 452, 10, 43, "Message"],
Cell[18629, 524, 1140, 21, 80, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[19818, 551, 148, 5, 115, "Section"],
Cell[19969, 558, 473, 14, 28, "Input"],
Cell[20445, 574, 529, 16, 28, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

