(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     51855,       1365]
NotebookOptionsPosition[     48145,       1236]
NotebookOutlinePosition[     48525,       1253]
CellTagsIndexPosition[     48482,       1250]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"\[CurlyTheta]", " ", "=", " ", ".2"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["u", "0"], "=", " ", 
   RowBox[{"1", "+", "\[CurlyTheta]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"u_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{
    FractionBox[
     RowBox[{
      SuperscriptBox["u", 
       RowBox[{"\[Alpha]", "+", "1"}]], "-", "1"}], 
     RowBox[{"\[Alpha]", 
      RowBox[{"(", 
       RowBox[{"\[Alpha]", "+", "1"}], ")"}]}]], "-", 
    RowBox[{
     FractionBox["1", "\[Alpha]"], "u"}], "+", 
    FractionBox["1", "\[Alpha]"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fs", "[", 
    RowBox[{"u_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"u", ",", " ", "\[Alpha]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"u", ",", 
        SubscriptBox["u", "0"], ",", "2"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mf", "[", 
    RowBox[{"u_", ",", "\[Alpha]_"}], "]"}], "=", 
   RowBox[{"Piecewise", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"f", "[", 
         RowBox[{"u", ",", "\[Alpha]"}], "]"}], ",", 
        RowBox[{"u", "<", 
         SubscriptBox["u", "0"]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"fs", "[", 
         RowBox[{"u", ",", "\[Alpha]"}], "]"}], ",", 
        RowBox[{"u", ">=", 
         SubscriptBox["u", "0"]}]}], "}"}]}], "}"}], "]"}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.626169256717559*^9, 3.626169328279292*^9}, {
  3.6261694045421743`*^9, 3.626169475304147*^9}, {3.6261695287448397`*^9, 
  3.6261695600794888`*^9}, {3.626176720272596*^9, 3.626176754527946*^9}, {
  3.626176817144167*^9, 3.626176834119382*^9}, {3.626177327009139*^9, 
  3.62617732998392*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6261771373843107`*^9, 3.626177151821642*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6261771531567583`*^9, 3.626177153169117*^9}}],

Cell[CellGroupData[{

Cell["Check plain Cressie Read Divergence", "Section",
 CellChangeTimes->{{3.626171611838085*^9, 3.626171623836808*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f2", " ", "=", "  ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"z", ",", "2"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", " ", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}]}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.626171624922464*^9, 3.626171651798089*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.33333333333333337`", ",", "0.28350000000000003`", ",", 
   "0.2346666666666667`", ",", "0.18783333333333332`", ",", 
   "0.14400000000000002`", ",", "0.10416666666666669`", ",", 
   "0.0693333333333333`", ",", "0.04049999999999998`", ",", 
   "0.018666666666666665`", ",", "0.004833333333333342`", ",", "0.`", ",", 
   "0.0051666666666666874`", ",", "0.021333333333333343`", ",", 
   "0.049500000000000044`", ",", "0.09066666666666667`", ",", 
   "0.14583333333333331`", ",", "0.21600000000000008`", ",", 
   "0.3021666666666667`", ",", "0.40533333333333343`", ",", 
   "0.5265000000000001`", ",", "0.6666666666666665`", ",", 
   "0.8268333333333333`", ",", "1.0080000000000005`", ",", 
   "1.211166666666667`", ",", "1.437333333333334`", ",", "1.6875`", ",", 
   "1.962666666666667`", ",", "2.263833333333334`", ",", 
   "2.5920000000000005`", ",", "2.948166666666668`", ",", 
   "3.333333333333333`"}], "}"}]], "Output",
 CellChangeTimes->{3.626171652091443*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"f05", " ", "=", "  ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"z", ",", ".5"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", " ", "0", ",", "3", ",", ".1"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.626171943670046*^9, 3.626171948182147*^9}, {
  3.626172071773942*^9, 3.626172078973901*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"fm05", " ", "=", "  ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"z", ",", 
      RowBox[{"-", ".5"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", " ", "0", ",", "3", ",", ".1"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6261720824220543`*^9, 3.62617208550224*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2.`", ",", "0.935088935932648`", ",", "0.6111456180001684`", ",", 
   "0.40910976997933535`", ",", "0.2701778718652965`", ",", 
   "0.1715728752538097`", ",", "0.10161332303406656`", ",", 
   "0.05335989386369788`", ",", "0.022291236000336667`", ",", 
   "0.005266807797944972`", ",", "0.`", ",", "0.0047646073193936544`", ",", 
   "0.01821953995867087`", ",", "0.039298299603447884`", ",", 
   "0.06713617352030754`", ",", "0.10102051443364424`", ",", 
   "0.14035574373059312`", ",", "0.1846380758378814`", ",", 
   "0.23343685400050473`", ",", "0.28638049916391095`", ",", 
   "0.3431457505076194`", ",", "0.4034493015242244`", ",", 
   "0.4670412103234698`", ",", "0.5336996447587596`", ",", 
   "0.6032266460681335`", ",", "0.675444679663241`", ",", "0.75019380136116`",
    ",", "0.8273293099380066`", ",", "0.906719787727396`", ",", 
   "0.9882454536294398`", ",", "1.0717967697244912`"}], "}"}]], "Output",
 CellChangeTimes->{3.626172085840414*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check Gradient of plain Cressie Read", "Section",
 CellChangeTimes->{{3.62617076105444*^9, 3.62617076970667*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"z", ",", "2"}], "]"}], ",", "z"}], "]"}], "/.", 
     RowBox[{"z", "\[Rule]", "j"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.626170834013845*^9, 3.6261708861896133`*^9}, {
  3.626171010606202*^9, 3.626171076301972*^9}, {3.626172604142297*^9, 
  3.6261726055819263`*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"z", ",", ".5"}], "]"}], ",", "z"}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626172599742461*^9, 3.626172610022113*^9}, {
  3.626172667983575*^9, 3.6261726694541197`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"z", ",", 
         RowBox[{"-", ".5"}]}], "]"}], ",", "z"}], "]"}], "/.", 
     RowBox[{"z", "\[Rule]", "j"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{3.626172677254416*^9, 3.626175738967334*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check hessian of Cressie Read", "Section",
 CellChangeTimes->{{3.626175760306623*^9, 3.626175769100954*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"z", ",", "2"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626175817511401*^9, 3.6261758211820602`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.`", ",", "0.1`", ",", "0.2`", ",", "0.30000000000000004`", ",", "0.4`", 
   ",", "0.5`", ",", "0.6000000000000001`", ",", "0.7000000000000001`", ",", 
   "0.8`", ",", "0.9`", ",", "1.`", ",", "1.1`", ",", "1.2000000000000002`", 
   ",", "1.3`", ",", "1.4000000000000001`", ",", "1.5`", ",", "1.6`", ",", 
   "1.7000000000000002`", ",", "1.8`", ",", "1.9000000000000001`", ",", "2.`",
    ",", "2.1`", ",", "2.2`", ",", "2.3000000000000003`", ",", 
   "2.4000000000000004`", ",", "2.5`", ",", "2.6`", ",", "2.7`", ",", 
   "2.8000000000000003`", ",", "2.9000000000000004`", ",", "3.`"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.626175821511972*^9, 3.626175860707962*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"z", ",", ".5"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626175872310257*^9, 3.626175873662307*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], ":", 
  " ", "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0.`\\^0.5`\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6261758754113913`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "ComplexInfinity", ",", "3.162277660168379`", ",", "2.23606797749979`", ",",
    "1.8257418583505536`", ",", "1.5811388300841895`", ",", 
   "1.4142135623730951`", ",", "1.2909944487358056`", ",", 
   "1.1952286093343936`", ",", "1.118033988749895`", ",", 
   "1.0540925533894598`", ",", "1.`", ",", "0.9534625892455922`", ",", 
   "0.9128709291752768`", ",", "0.8770580193070292`", ",", 
   "0.8451542547285166`", ",", "0.816496580927726`", ",", 
   "0.7905694150420948`", ",", "0.7669649888473704`", ",", 
   "0.7453559924999299`", ",", "0.7254762501100116`", ",", 
   "0.7071067811865476`", ",", "0.6900655593423543`", ",", 
   "0.674199862463242`", ",", "0.659380473395787`", ",", 
   "0.6454972243679028`", ",", "0.6324555320336759`", ",", 
   "0.6201736729460423`", ",", "0.6085806194501846`", ",", 
   "0.5976143046671968`", ",", "0.5872202195147035`", ",", 
   "0.5773502691896257`"}], "}"}]], "Output",
 CellChangeTimes->{3.626175875412177*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"z", ",", 
        RowBox[{"-", ".5"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.626175884614195*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], ":", 
  " ", "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0.`\\^1.5`\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.626175885253796*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "ComplexInfinity", ",", "31.62277660168379`", ",", "11.180339887498947`", 
   ",", "6.085806194501845`", ",", "3.9528470752104736`", ",", 
   "2.8284271247461903`", ",", "2.1516574145596756`", ",", 
   "1.7074694419062764`", ",", "1.3975424859373684`", ",", 
   "1.1712139482105108`", ",", "1.`", ",", "0.8667841720414474`", ",", 
   "0.7607257743127306`", ",", "0.6746600148515609`", ",", 
   "0.603681610520369`", ",", "0.5443310539518174`", ",", 
   "0.4941058844013092`", ",", "0.45115587579257077`", ",", 
   "0.41408666249996107`", ",", "0.38182960532105875`", ",", 
   "0.3535533905932738`", ",", "0.32860264730588296`", ",", 
   "0.3064544829378373`", ",", "0.2866871623459943`", ",", 
   "0.26895717681995945`", ",", "0.25298221281347033`", ",", 
   "0.2385283357484778`", ",", "0.22540022942599428`", ",", 
   "0.21343368023828455`", ",", "0.2024897308671391`", ",", 
   "0.19245008972987526`"}], "}"}]], "Output",
 CellChangeTimes->{3.626175885254566*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check modified Cressie-Read", "Section",
 CellChangeTimes->{{3.62617603365565*^9, 3.626176041956918*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f2", " ", "=", "  ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"mf", "[", 
     RowBox[{"z", ",", "2"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", " ", "0", ",", "3", ",", ".1"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.626176062782999*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.33333333333333337`", ",", "0.28350000000000003`", ",", 
   "0.2346666666666667`", ",", "0.18783333333333332`", ",", 
   "0.14400000000000002`", ",", "0.10416666666666669`", ",", 
   "0.0693333333333333`", ",", "0.04049999999999998`", ",", 
   "0.018666666666666665`", ",", "0.004833333333333342`", ",", "0.`", ",", 
   "0.0051666666666666874`", ",", "0.021333333333333343`", ",", 
   "0.04933333333333335`", ",", "0.0893333333333334`", ",", 
   "0.14133333333333334`", ",", "0.20533333333333342`", ",", 
   "0.2813333333333335`", ",", "0.3693333333333334`", ",", 
   "0.4693333333333335`", ",", "0.5813333333333334`", ",", 
   "0.7053333333333335`", ",", "0.8413333333333335`", ",", 
   "0.9893333333333338`", ",", "1.149333333333334`", ",", 
   "1.3213333333333332`", ",", "1.5053333333333334`", ",", 
   "1.7013333333333338`", ",", "1.9093333333333338`", ",", 
   "2.129333333333334`", ",", "2.361333333333333`"}], "}"}]], "Output",
 CellChangeTimes->{3.626176064435287*^9, 3.62617685014646*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"fm05", " ", "=", "  ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"mf", "[", 
     RowBox[{"z", ",", 
      RowBox[{"-", ".5"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", " ", "0", ",", "3", ",", ".1"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6261769412298527`*^9, 3.626176942173868*^9}, 
   3.626177157518024*^9, {3.626177221965963*^9, 3.626177222829585*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2.`", ",", "0.935088935932648`", ",", "0.6111456180001684`", ",", 
   "0.40910976997933535`", ",", "0.2701778718652965`", ",", 
   "0.1715728752538097`", ",", "0.10161332303406656`", ",", 
   "0.05335989386369788`", ",", "0.022291236000336667`", ",", 
   "0.005266807797944972`", ",", "0.`", ",", "0.0047646073193936544`", ",", 
   "0.01821953995867087`", ",", "0.039448982995179335`", ",", 
   "0.06828568377481496`", ",", "0.10472964229757781`", ",", 
   "0.14878085856346807`", ",", "0.20043933257248564`", ",", 
   "0.25970506432463036`", ",", "0.32657805381990257`", ",", 
   "0.40105830105830187`", ",", "0.4831458060398287`", ",", 
   "0.5728405687644829`", ",", "0.6701425892322643`", ",", 
   "0.775051867443173`", ",", "0.8875684033972087`", ",", 
   "1.007692197094372`", ",", "1.135423248534663`", ",", 
   "1.2707615577180809`", ",", "1.4137071246446262`", ",", 
   "1.5642599493142981`"}], "}"}]], "Output",
 CellChangeTimes->{3.626176942843771*^9, 3.6261771581524076`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check gradient modified Cressie-Read", "Section",
 CellChangeTimes->{{3.626177216645259*^9, 3.626177218693304*^9}, {
  3.626178040700326*^9, 3.62617804805291*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"mf", "[", 
       RowBox[{"z", ",", "2"}], "]"}], ",", "z"}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".101"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626177235453949*^9, 3.626177237437846*^9}, {
  3.626177385622274*^9, 3.626177385738353*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.5`"}], ",", 
   RowBox[{"-", "0.49489949999999994`"}], ",", 
   RowBox[{"-", "0.47959799999999997`"}], ",", 
   RowBox[{"-", "0.4540955`"}], ",", 
   RowBox[{"-", "0.418392`"}], ",", 
   RowBox[{"-", "0.37248749999999997`"}], ",", 
   RowBox[{"-", "0.31638199999999994`"}], ",", 
   RowBox[{"-", "0.25007549999999995`"}], ",", 
   RowBox[{"-", "0.17356799999999994`"}], ",", 
   RowBox[{"-", "0.08685949999999994`"}], ",", "0.010049999999999965`", ",", 
   "0.1171605`", ",", "0.23440000000000033`", ",", "0.3556000000000003`", ",",
    "0.47680000000000033`", ",", "0.5980000000000003`", ",", 
   "0.7192000000000003`", ",", "0.8404000000000003`", ",", 
   "0.9616000000000002`", ",", "1.0828000000000002`", ",", 
   "1.2040000000000002`", ",", "1.3252000000000002`", ",", 
   "1.4464000000000004`", ",", "1.5676000000000003`", ",", 
   "1.6888000000000007`", ",", "1.8100000000000007`", ",", 
   "1.9312000000000007`", ",", "2.052400000000001`", ",", 
   "2.173600000000001`", ",", "2.294800000000001`"}], "}"}]], "Output",
 CellChangeTimes->{3.6261772377348824`*^9, 3.6261773870687304`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"mf", "[", 
       RowBox[{"z", ",", 
        RowBox[{"-", ".5"}]}], "]"}], ",", "z"}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".101"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626178058710227*^9, 3.626178060382*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], ":", 
  " ", "\<\"Infinite expression \[NoBreak]\\!\\(1\\/\\@0.`\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6261780610083017`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"ComplexInfinity", ",", 
   RowBox[{"-", "4.293167755275526`"}], ",", 
   RowBox[{"-", "2.4499415948998475`"}], ",", 
   RowBox[{"-", "1.6333620975637975`"}], ",", 
   RowBox[{"-", "1.146583877637763`"}], ",", 
   RowBox[{"-", "0.8143901789211676`"}], ",", 
   RowBox[{"-", "0.5691749776935393`"}], ",", 
   RowBox[{"-", "0.3785938341813755`"}], ",", 
   RowBox[{"-", "0.22497079744992377`"}], ",", 
   RowBox[{"-", "0.09772258509184217`"}], ",", "0.009925619580021472`", ",", 
   "0.10253852845344946`", ",", "0.18338685094119914`", ",", 
   "0.2602201541467849`", ",", "0.33705345735237074`", ",", 
   "0.41388676055795653`", ",", "0.4907200637635423`", ",", 
   "0.5675533669691281`", ",", "0.6443866701747138`", ",", 
   "0.7212199733802998`", ",", "0.7980532765858855`", ",", 
   "0.8748865797914713`", ",", "0.9517198829970571`", ",", 
   "1.028553186202643`", ",", "1.105386489408229`", ",", "1.182219792613815`",
    ",", "1.2590530958194006`", ",", "1.3358863990249865`", ",", 
   "1.4127197022305722`", ",", "1.489553005436158`"}], "}"}]], "Output",
 CellChangeTimes->{3.626178061009829*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Check hessian Cressie-Read
\
\>", "Section",
 CellChangeTimes->{{3.6261781545421343`*^9, 3.626178158956884*^9}, 
   3.626178438991241*^9}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"mf", "[", 
       RowBox[{"z", ",", "3"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".101"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.62617817059007*^9, 3.6261781753180227`*^9}, 
   3.62617843899159*^9}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"mf", "[", 
       RowBox[{"z", ",", 
        RowBox[{
         RowBox[{"-", "1"}], "/", "3"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".101"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626178186006331*^9, 3.6261781867985353`*^9}, 
   3.626178438993532*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check Kullback Leibler", "Section",
 CellChangeTimes->{{3.626187313222295*^9, 3.6261873194129257`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[CurlyTheta]", " ", "=", " ", ".2"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["u", "0"], "=", " ", 
   RowBox[{"1", "+", "\[CurlyTheta]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "u_", "]"}], "=", 
   RowBox[{
    RowBox[{"u", "*", 
     RowBox[{"Log", "[", "u", "]"}]}], "-", "u", "+", "1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fs", "[", "u_", "]"}], "=", 
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"f", "[", "u", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"u", ",", 
        SubscriptBox["u", "0"], ",", "2"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mf", "[", "u_", "]"}], "=", 
   RowBox[{"Piecewise", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"f", "[", "u", "]"}], ",", 
        RowBox[{"u", "<", 
         SubscriptBox["u", "0"]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"fs", "[", "u", "]"}], ",", 
        RowBox[{"u", ">=", 
         SubscriptBox["u", "0"]}]}], "}"}]}], "}"}], "]"}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.6261873369192038`*^9, 3.6261873497746553`*^9}, {
  3.626187391751398*^9, 3.6261874023989697`*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"f", "[", "z", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", " ", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"f", "[", "z", "]"}], ",", "z"}], "]"}], "/.", 
      RowBox[{"z", "\[Rule]", "j"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "0", ",", "3", ",", ".1"}], "}"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.62618737123225*^9, 3.6261873841817493`*^9}, {
  3.6261876303180733`*^9, 3.626187656301951*^9}, {3.626187752704615*^9, 
  3.626187756654111*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"f", "[", "z", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626187879646401*^9, 3.6261878808698473`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Check Modified Kullback Leibler\
\>", "Section",
 CellChangeTimes->{{3.626187983670127*^9, 3.626187992121518*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "[", "u", "]"}], ",", 
     RowBox[{"mf", "[", "u", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"u", ",", 
     RowBox[{"-", "2"}], ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626187993489361*^9, 3.6261880233660603`*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwdlmk4Ve3fhg07GcpGSIYSJRUeUWTa10LRYy4NQpIhKZnKlJSE9KC20qDE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      "]]}, 
    {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJxl1nk4VO3/B3CyFSlJJSElpUIihMx7UOrJ3iqELInsIio1llQP1Sgl5dGQ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      "]], LineBox[CompressedData["
1:eJwVxXsw1AkcAPBdQmvt75c325LHpJMdoYvy+n4TJRyyolIe4ZRHRak8GqOJ
dDG2jpOyUXdyVMjgFOqU8mhpsUWltJLjKDa7lt2Lu/vjMx/Tg0cDopUoFIr/
f/7fTCwY5Byeg6jiziL3jkLQa+grCBmdg4vbPuRtoJTA7rYbq6Yn58Cn+MNp
7dgSKOhJzE0Xz4GWR/GaRmEJaI9rnuNRJNB0fWOZwx0erNIPOD5iLIG1+zSO
WEWVgnpK/67IEAmIFiyMp9JuwJLzABEnlMCK/pxdrOByyGjkD/GGJZCmetz8
CK8cKDbPbgrGJOARa6fYMFYOVPP79vZSCfAf2bQoH78FK2iloVQ9KXTdtDo3
VVgB9Jex1UXBUkjwZLJbZivBIEHJt/2NFOy03r6NkFdD8bhCXzYqBV3buEP1
vjXADJeKLKek4J0hkJ/8tQZWcyaS8xVSEAbmGVisqwXjLb28fax5sLz2KvGa
sBbWqlz9PHtgHqqKomtVHevAjmebZySahwm/5AMj1g1gm5Spun5yHpQWH7Wa
hTWAzY6+DHvxPOxZs5FZkt8A1uJjSX5UGdz/eLnDRtwA6z1qgzNNZeDvvVki
amwEs8/WZp8iZCAoZBZG+jSBpgv7jzujMtAzcJF+LG2G2WELkdPYAvw9kV4U
f6INcs9FPmidWgBmZiJzy6U2WMcu+xnmFmAEpQZG1W0Qmma4fZvSIjg6VOVY
TbQB31DjtpfJIpgsd9kdPPAYKoLEJ/buX4QqxYd79j5PIFTQvPKUcBG6K+JD
0p2eAv+Jv01duxzYfHlIangXVA41Br/iy+G3Ky6ROtldkP2ZlSEXyuHFnoCV
3be7APUne9w+ycG1XmyVI+uC+tjMuAEVBZwdVHvtx+2GEs26W5LtCvjlxaVu
jY7nEB+mbeTQpQB5FovusrMX6IqXtJaef+BVlmqmk6APYl7nvzeqX4LotPM/
BYUPwi3vY+3JnhSkRST6uOe/g+cBz0ItvKk4VKfVb3hxFDLuNs6fdVbCHw8Z
xeCxcYiqFXIs3ZRR/r1tOUdnCoZU86rT7FdgFZcdE9A7A5o9qyTKFirI2p/m
lRzzFdKdHi+9tFTFr8s3mzoCpJD8jaEWyFJDSmiSzoDLApTFnBeuNl+J2Zt9
q6J5CuBu5ecarqUh3fWuy7j5MhBHb7s90VXHfFbLc18/Kj50b2ptZNLxgXoK
Z9BHGb8lhNkHERoYrstNz92qglS1/mKrbxr4bqHW5O02NbT3THrsRSEwp1Ln
FDOXhvLhOxO6XwnkN53VnH5KR/f4Tu4P8wRSvJgntQR0zFN83JwlJ7DgOqXB
8Q0dTZirL0iUSOy9dL+N+4WOO4IvWA5ok1hdNqzH0dfAgr7oWO4mEiVhf9XY
HNZA62fG0+opJD6MInl+BANP73YscDtDYkVEhvc9Awa2je12Ts0k8Yupq1DH
nIGBynm5kxdI5E5XnBA5MDANFezOqyRiFVvMjWBg54PBhKwWEr/rkA95NjBQ
y2tOt/VPEqcXg9idjxi4/zXxUNJOImOWum9nNwNnZB5EVA+Jhyzc3XeNMFBv
U32123sSzzSnBJ6iERje/iIodZREa5pPqooOgZWcqaV74yQ6MxNSC40JdE4y
8zOdITEu+xqteSOB2VRX2Z45Ei+Lfr/i70qggLu3lCsjUZ+iojThSSDTJHlH
p4JEuajGI5NDYGQNd2Z5mUTH85WRrFAC/wXOGEub
      "]]}, {}}, {{}, {}, {}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{-2, 4}, {0., 3.7959525858031187`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.626188002370206*^9, 3.626188023848043*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"mf", "[", "z", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", " ", "0", ",", "3", ",", ".1"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{3.6261880432227087`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"mf", "[", "z", "]"}], ",", "z"}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".11"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626189465246087*^9, 3.626189474686075*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"Indeterminate", ",", 
   RowBox[{"-", "2.2072749131897207`"}], ",", 
   RowBox[{"-", "1.5141277326297755`"}], ",", 
   RowBox[{"-", "1.1086626245216111`"}], ",", 
   RowBox[{"-", "0.8209805520698302`"}], ",", 
   RowBox[{"-", "0.5978370007556204`"}], ",", 
   RowBox[{"-", "0.4155154439616658`"}], ",", 
   RowBox[{"-", "0.2613647641344075`"}], ",", 
   RowBox[{"-", "0.12783337150988489`"}], ",", 
   RowBox[{"-", "0.01005033585350145`"}], ",", "0.09531017980432493`", ",", 
   "0.1906548901272881`", ",", "0.2823215567939549`", ",", 
   "0.37398822346062144`", ",", "0.46565489012728817`", ",", 
   "0.5573215567939548`", ",", "0.6489882234606215`", ",", 
   "0.7406548901272882`", ",", "0.8323215567939548`", ",", 
   "0.9239882234606214`", ",", "1.0156548901272884`", ",", 
   "1.107321556793955`", ",", "1.1989882234606215`", ",", 
   "1.290654890127288`", ",", "1.3823215567939549`", ",", 
   "1.4739882234606214`", ",", "1.565654890127288`", ",", 
   "1.657321556793955`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.626188152371193*^9, {3.626189452198023*^9, 3.626189476262046*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"mf", "[", "z", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".11"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.626189530903845*^9, 3.626189552382406*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0.`\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.626189532205494*^9, 3.626189562250679*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "ComplexInfinity", ",", "9.090909090909092`", ",", "4.545454545454546`", 
   ",", "3.0303030303030303`", ",", "2.272727272727273`", ",", 
   "1.8181818181818181`", ",", "1.5151515151515151`", ",", 
   "1.2987012987012987`", ",", "1.1363636363636365`", ",", 
   "1.0101010101010102`", ",", "0.9090909090909091`", ",", 
   "0.8333333333333334`", ",", "0.8333333333333334`", ",", 
   "0.8333333333333334`", ",", "0.8333333333333334`", ",", 
   "0.8333333333333334`", ",", "0.8333333333333334`", ",", 
   "0.8333333333333334`", ",", "0.8333333333333334`", ",", 
   "0.8333333333333334`", ",", "0.8333333333333334`", ",", 
   "0.8333333333333334`", ",", "0.8333333333333334`", ",", 
   "0.8333333333333334`", ",", "0.8333333333333334`", ",", 
   "0.8333333333333334`", ",", "0.8333333333333334`", ",", 
   "0.8333333333333334`"}], "}"}]], "Output",
 CellChangeTimes->{3.6261895622520123`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\[AliasDelimiter]", 
   RowBox[{"334`", "}"}]}]}]], "Input",
 CellChangeTimes->{{3.626189556333995*^9, 3.626189560143696*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{"mf", "[", "x", "]"}], ",", "x"}], "]"}], "/.", 
  RowBox[{"x", "\[Rule]", "1.3"}]}]], "Input",
 CellChangeTimes->{{3.626189321021923*^9, 3.626189322336116*^9}, {
  3.626189387613789*^9, 3.626189389229487*^9}, {3.626189429965867*^9, 
  3.626189432909773*^9}}],

Cell[BoxData["0.26565489012728816`"], "Output",
 CellChangeTimes->{3.6261893228091383`*^9, 3.6261893898269053`*^9, 
  3.626189433349296*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.62618942318449*^9, 3.626189424781418*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Reverse Kullback-Leibler
\
\>", "Section",
 CellChangeTimes->{{3.626189704942177*^9, 3.62618971372502*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[CurlyTheta]", " ", "=", " ", ".2"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["u", "0"], "=", " ", 
   RowBox[{"1", "+", "\[CurlyTheta]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "u_", "]"}], "=", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"Log", "[", "u", "]"}]}], "+", "u", "-", "1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fs", "[", "u_", "]"}], "=", 
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"f", "[", "u", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"u", ",", 
        SubscriptBox["u", "0"], ",", "2"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mf", "[", "u_", "]"}], "=", 
   RowBox[{"Piecewise", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"f", "[", "u", "]"}], ",", 
        RowBox[{"u", "<", 
         SubscriptBox["u", "0"]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"fs", "[", "u", "]"}], ",", 
        RowBox[{"u", ">=", 
         SubscriptBox["u", "0"]}]}], "}"}]}], "}"}], "]"}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.626189726166975*^9, 3.626189730447043*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"mf", "[", "z", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", " ", "0", ",", "3", ",", ".1"}], "}"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "Indeterminate", ",", "1.4025850929940455`", ",", "0.8094379124341002`", 
   ",", "0.5039728043259359`", ",", "0.316290731874155`", ",", 
   "0.1931471805599453`", ",", "0.11082562376599059`", ",", 
   "0.05667494393873235`", ",", "0.023143551314209754`", ",", 
   "0.005360515657826304`", ",", "0.`", ",", "0.004689820195675154`", ",", 
   "0.017678443206045318`", ",", "0.03781733209493419`", ",", 
   "0.06490066542826754`", ",", "0.09892844320604528`", ",", 
   "0.13990066542826757`", ",", "0.1878173320949343`", ",", 
   "0.2426784432060453`", ",", "0.3044839987616009`", ",", 
   "0.3732339987616009`", ",", "0.4489284432060454`", ",", 
   "0.5315673320949343`", ",", "0.6211506654282678`", ",", 
   "0.7176784432060457`", ",", "0.8211506654282676`", ",", 
   "0.9315673320949344`", ",", "1.0489284432060457`", ",", 
   "1.1732339987616012`", ",", "1.3044839987616013`", ",", 
   "1.4426784432060455`"}], "}"}]], "Output",
 CellChangeTimes->{3.6261897458376827`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"mf", "[", "z", "]"}], ",", "z"}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".11"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0.`\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.626189773774446*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"ComplexInfinity", ",", 
   RowBox[{"-", "8.090909090909092`"}], ",", 
   RowBox[{"-", "3.545454545454546`"}], ",", 
   RowBox[{"-", "2.0303030303030303`"}], ",", 
   RowBox[{"-", "1.272727272727273`"}], ",", 
   RowBox[{"-", "0.8181818181818181`"}], ",", 
   RowBox[{"-", "0.5151515151515151`"}], ",", 
   RowBox[{"-", "0.2987012987012987`"}], ",", 
   RowBox[{"-", "0.13636363636363646`"}], ",", 
   RowBox[{"-", "0.010101010101010166`"}], ",", "0.09090909090909094`", ",", 
   "0.17361111111111113`", ",", "0.2500000000000001`", ",", 
   "0.3263888888888889`", ",", "0.4027777777777779`", ",", 
   "0.4791666666666667`", ",", "0.5555555555555557`", ",", 
   "0.6319444444444446`", ",", "0.7083333333333335`", ",", 
   "0.7847222222222222`", ",", "0.8611111111111114`", ",", 
   "0.9375000000000002`", ",", "1.013888888888889`", ",", 
   "1.090277777777778`", ",", "1.166666666666667`", ",", 
   "1.2430555555555558`", ",", "1.3194444444444446`", ",", 
   "1.3958333333333337`"}], "}"}]], "Output",
 CellChangeTimes->{3.626189773775229*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"mf", "[", "z", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", "j"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", "3", ",", ".11"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0.`\\^2\\)\
\[NoBreak] encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.626189803156661*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0.`\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.62618980319559*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Infinity", "::", "indet"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Indeterminate expression \[NoBreak]\\!\\(ComplexInfinity + \
ComplexInfinity\\)\[NoBreak] encountered. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/indet\\\", ButtonNote -> \
\\\"Infinity::indet\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.626189803234597*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "Indeterminate", ",", "82.64462809917356`", ",", "20.66115702479339`", ",", 
   "9.182736455463727`", ",", "5.1652892561983474`", ",", 
   "3.305785123966942`", ",", "2.295684113865932`", ",", 
   "1.6866250632484399`", ",", "1.2913223140495869`", ",", 
   "1.020304050607081`", ",", "0.8264462809917354`", ",", 
   "0.6944444444444445`", ",", "0.6944444444444445`", ",", 
   "0.6944444444444445`", ",", "0.6944444444444445`", ",", 
   "0.6944444444444445`", ",", "0.6944444444444445`", ",", 
   "0.6944444444444445`", ",", "0.6944444444444445`", ",", 
   "0.6944444444444445`", ",", "0.6944444444444445`", ",", 
   "0.6944444444444445`", ",", "0.6944444444444445`", ",", 
   "0.6944444444444445`", ",", "0.6944444444444445`", ",", 
   "0.6944444444444445`", ",", "0.6944444444444445`", ",", 
   "0.6944444444444445`"}], "}"}]], "Output",
 CellChangeTimes->{3.6261898032373466`*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{740, 867},
WindowMargins->{{Automatic, 641}, {161, Automatic}},
ShowSelection->True,
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 20, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1975, 60, 124, "Input"],
Cell[2535, 82, 94, 1, 28, "Input"],
Cell[2632, 85, 94, 1, 28, "Input"],
Cell[CellGroupData[{
Cell[2751, 90, 120, 1, 80, "Section"],
Cell[CellGroupData[{
Cell[2896, 95, 361, 10, 46, "Input"],
Cell[3260, 107, 1009, 18, 80, "Output"]
}, Open  ]],
Cell[4284, 128, 371, 10, 28, "Input"],
Cell[CellGroupData[{
Cell[4680, 142, 346, 10, 28, "Input"],
Cell[5029, 154, 999, 17, 80, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6077, 177, 119, 1, 80, "Section"],
Cell[6199, 180, 521, 15, 28, "Input"],
Cell[6723, 197, 441, 12, 28, "Input"],
Cell[7167, 211, 443, 14, 28, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7647, 230, 114, 1, 80, "Section"],
Cell[CellGroupData[{
Cell[7786, 235, 446, 13, 28, "Input"],
Cell[8235, 250, 716, 12, 46, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8988, 267, 445, 13, 28, "Input"],
Cell[9436, 282, 443, 9, 43, "Message"],
Cell[9882, 293, 995, 18, 80, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10914, 316, 445, 14, 28, "Input"],
Cell[11362, 332, 441, 9, 43, "Message"],
Cell[11806, 343, 1008, 18, 80, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12863, 367, 111, 1, 80, "Section"],
Cell[CellGroupData[{
Cell[12999, 372, 297, 9, 28, "Input"],
Cell[13299, 383, 1042, 18, 80, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14378, 406, 420, 11, 28, "Input"],
Cell[14801, 419, 1030, 18, 80, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15880, 443, 169, 2, 80, "Section"],
Cell[CellGroupData[{
Cell[16074, 449, 441, 12, 28, "Input"],
Cell[16518, 463, 1152, 22, 80, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17707, 490, 414, 12, 28, "Input"],
Cell[18124, 504, 439, 9, 43, "Message"],
Cell[18566, 515, 1140, 21, 80, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[19755, 542, 148, 5, 115, "Section"],
Cell[19906, 549, 473, 14, 28, "Input"],
Cell[20382, 565, 529, 16, 28, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20948, 586, 109, 1, 80, "Section"],
Cell[21060, 589, 1348, 44, 97, "Input"],
Cell[22411, 635, 761, 21, 80, "Input"],
Cell[23175, 658, 418, 12, 28, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23630, 675, 124, 3, 80, "Section"],
Cell[CellGroupData[{
Cell[23779, 682, 340, 10, 28, "Input"],
Cell[24122, 694, 12328, 211, 246, "Output"]
}, Open  ]],
Cell[36465, 908, 233, 7, 28, "Input"],
Cell[CellGroupData[{
Cell[36723, 919, 363, 10, 28, "Input"],
Cell[37089, 931, 1130, 22, 80, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38256, 958, 418, 12, 28, "Input"],
Cell[38677, 972, 471, 10, 40, "Message"],
Cell[39151, 984, 929, 17, 80, "Output"]
}, Open  ]],
Cell[40095, 1004, 166, 4, 28, InheritFromParent],
Cell[CellGroupData[{
Cell[40286, 1012, 328, 8, 28, "Input"],
Cell[40617, 1022, 140, 2, 28, "Output"]
}, Open  ]],
Cell[40772, 1027, 91, 1, 28, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40900, 1033, 117, 4, 115, "Section"],
Cell[41020, 1039, 1288, 43, 97, "Input"],
Cell[CellGroupData[{
Cell[42333, 1086, 189, 6, 28, "Input"],
Cell[42525, 1094, 1015, 18, 97, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43577, 1117, 297, 9, 28, "Input"],
Cell[43877, 1128, 447, 10, 40, "Message"],
Cell[44327, 1140, 1081, 21, 80, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[45445, 1166, 352, 11, 28, "Input"],
Cell[45800, 1179, 451, 10, 43, "Message"],
Cell[46254, 1191, 446, 10, 40, "Message"],
Cell[46703, 1203, 487, 10, 24, "Message"],
Cell[47193, 1215, 924, 17, 80, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
